/*
 * A n t l r  S e t s / E r r o r  F i l e  H e a d e r
 *
 * Generated from: sor.g
 *
 * Terence Parr, Will Cohen, and Hank Dietz: 1989-1994
 * Purdue University Electrical Engineering
 * With AHPCRC, University of Minnesota
 * ANTLR Version 1.21
 */

#include <stdio.h>
#define ANTLR_VERSION	121

#define ZZLEXBUFSIZE	4000
#include "charbuf.h"
#include "hash.h"
#include "set.h"
#include "sor.h"
#define AST_FIELDS	int token; char text[MaxAtom+1], label[MaxRuleName+1]; \
char *action;		/* if action node, here is ptr to it */ \
char in,out; \
char init_action;	/* set if Action and 1st action of alt */ \
int file; int line; /* set for BLOCK, ALT, nonterm nodes */ \
int upper_range;	/* only if T1..T2 found */	\
GLA *start_state;	/* ptr into GLA for this block */ \
int no_copy;		/* copy input ptr to output ptr? */ \
ListNode *refvars;	/* any ref vars defined for this rule */
#define zzcr_ast(node, cur, _tok, _text)	\
{(node)->token=_tok; strncpy((node)->text, _text,MaxAtom);}
#define USER_ZZSYN
#define zzAST_DOUBLE
#define LL_K 2
#define zzEOF_TOKEN 1
#define zzSET_SIZE 16
#include "antlr.h"
#include "ast.h"
#include "tokens.h"
#include "dlgdef.h"
#include "err.h"

ANTLRChar *zztokens[110]={
	/* 00 */	"Invalid",
	/* 01 */	"Eof",
	/* 02 */	"RExpr",
	/* 03 */	"\\n",
	/* 04 */	"\\~[]",
	/* 05 */	"~[\\n\"\\]+",
	/* 06 */	"\"",
	/* 07 */	"\\n",
	/* 08 */	"\\~[]",
	/* 09 */	"~[\\n\"\\]+",
	/* 10 */	"'",
	/* 11 */	"\\n",
	/* 12 */	"\\~[]",
	/* 13 */	"~[\\n'\\]+",
	/* 14 */	"\\*/",
	/* 15 */	"\\*",
	/* 16 */	"\\n",
	/* 17 */	"~[\\n\\*]+",
	/* 18 */	"\\n",
	/* 19 */	"~[\\n]+",
	/* 20 */	"\\n",
	/* 21 */	"~[\\n]+",
	/* 22 */	"\\*/",
	/* 23 */	"\\*",
	/* 24 */	"\\n",
	/* 25 */	"~[\\n\\*]+",
	/* 26 */	"~[\\)]+ \\)",
	/* 27 */	"Action",
	/* 28 */	"PassAction",
	/* 29 */	"\\n",
	/* 30 */	"\\>",
	/* 31 */	"#\\[\\]",
	/* 32 */	"#\\(\\)",
	/* 33 */	"#\\[",
	/* 34 */	"#\\(",
	/* 35 */	"#",
	/* 36 */	"\\)",
	/* 37 */	"\\[",
	/* 38 */	"\\(",
	/* 39 */	"\\\\]",
	/* 40 */	"\\\\)",
	/* 41 */	"\\>",
	/* 42 */	"'",
	/* 43 */	"\"",
	/* 44 */	"\\#",
	/* 45 */	"\\~[\\]\\)>#]",
	/* 46 */	"/",
	/* 47 */	"/\\*",
	/* 48 */	"\\*/",
	/* 49 */	"//",
	/* 50 */	"\\@\\(",
	/* 51 */	"\\@",
	/* 52 */	"[a-zA-Z_]+\\(",
	/* 53 */	"[a-zA-Z_]+",
	/* 54 */	"~[a-zA-Z_\\n\\)\\(\\#\\>\\]\\[\"'/\\@]+",
	/* 55 */	"[\\t\\ ]+",
	/* 56 */	"[\\n\\r]",
	/* 57 */	"\\[",
	/* 58 */	"\\<\\<",
	/* 59 */	"\"",
	/* 60 */	"/\\*",
	/* 61 */	"\\*/",
	/* 62 */	"//",
	/* 63 */	"\\>\\>",
	/* 64 */	"Header",
	/* 65 */	"Tokdef",
	/* 66 */	"BLOCK",
	/* 67 */	"ALT",
	/* 68 */	"LABEL",
	/* 69 */	"OPT",
	/* 70 */	"POS_CLOSURE",
	/* 71 */	"CLOSURE",
	/* 72 */	"WILD",
	/* 73 */	"PRED_OP",
	/* 74 */	"BT",
	/* 75 */	"RULE",
	/* 76 */	"REFVAR",
	/* 77 */	"atomic-element",
	/* 78 */	"rule-header",
	/* 79 */	"NonTerm",
	/* 80 */	"!",
	/* 81 */	"\\<",
	/* 82 */	"\\>",
	/* 83 */	";",
	/* 84 */	"\\|",
	/* 85 */	"\\(",
	/* 86 */	"\\)",
	/* 87 */	"\\}",
	/* 88 */	"Token",
	/* 89 */	"..",
	/* 90 */	"#[A-Za-z0-9_]*",
	/* 91 */	"\\*/",
	/* 92 */	"\\*",
	/* 93 */	"\\n",
	/* 94 */	"~[\\n\\*]+",
	/* 95 */	"\\n",
	/* 96 */	"~[\\n]+",
	/* 97 */	"[\\t\\ ]+",
	/* 98 */	"[\\n\\r]",
	/* 99 */	"//",
	/* 100 */	"/\\*",
	/* 101 */	"#define",
	/* 102 */	"ID",
	/* 103 */	"INT",
	/* 104 */	"enum",
	/* 105 */	"\\{",
	/* 106 */	"=",
	/* 107 */	",",
	/* 108 */	"\\}",
	/* 109 */	";"
};
SetWordType zzerr1[16] = {0x0,0x0,0x0,0x0, 0x0,0x0,0x0,0x0, 0x0,0x40,0x0,0x0,
	0x0,0x0,0x0,0x0};
SetWordType setwd1[110] = {0x0,0x4f,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x4d,0x10,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0xc,0xc,0x0,0x0,0x20,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x4d,0x0,0x10,0x20,0x80,0x0,0x0,0x80,
	0x80,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0};
SetWordType zzerr2[16] = {0x0,0x0,0x0,0x8, 0x0,0x0,0x0,0x0, 0xe0,0x26,0xf8,0x0,
	0x0,0x0,0x0,0x0};
SetWordType zzerr3[16] = {0x0,0x0,0x0,0x8, 0x0,0x0,0x0,0x0, 0x20,0x20,0x20,0x0,
	0x0,0x0,0x0,0x0};
SetWordType zzerr4[16] = {0x0,0x0,0x0,0x0, 0x0,0x0,0x0,0x0, 0x0,0x80,0x0,0x1,
	0x0,0x0,0x0,0x0};
SetWordType setwd2[110] = {0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x66,0x94,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x66,0x0,
	0x0,0x66,0x4,0x64,0x0,0x0,0x0,0x0,
	0x67,0x4,0x94,0x4,0x6c,0x6c,0x66,0x6c,
	0x6c,0x67,0x4,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0};
SetWordType zzerr5[16] = {0x2,0x0,0x0,0x18, 0x0,0x0,0x0,0x0, 0x20,0x4,0xf8,0x0,
	0x0,0x0,0x0,0x0};
SetWordType zzerr6[16] = {0x2,0x0,0x0,0x18, 0x0,0x0,0x0,0x0, 0x20,0x24,0xf8,0x0,
	0x0,0x0,0x0,0x0};
SetWordType zzerr7[16] = {0x0,0x0,0x0,0x0, 0x0,0x0,0x0,0x0, 0x0,0x80,0x0,0x1,
	0x0,0x0,0x0,0x0};
SetWordType zzerr8[16] = {0x0,0x0,0x0,0x0, 0x0,0x0,0x0,0x0, 0x0,0x1,0x0,0x1,
	0x0,0x0,0x0,0x0};
SetWordType zzerr9[16] = {0x0,0x0,0x0,0x0, 0x0,0x0,0x0,0x0, 0x0,0x81,0x0,0x1,
	0x0,0x0,0x0,0x0};
SetWordType zzerr10[16] = {0x0,0x0,0x0,0x8, 0x0,0x0,0x0,0x0, 0x30,0x24,0x61,0x2,
	0x0,0x0,0x0,0x0};
SetWordType setwd3[110] = {0x0,0x1,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0xcf,0x81,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0xcf,0x0,
	0x0,0xce,0x80,0x8f,0x0,0x0,0x0,0x0,
	0xfe,0x88,0x80,0x80,0x87,0x87,0xcf,0x8f,
	0x87,0xfe,0x88,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0};
SetWordType zzerr11[16] = {0x2,0x0,0x0,0x0, 0x0,0x0,0x0,0x0, 0x0,0x0,0x0,0x0,
	0x20,0x1,0x0,0x0};
SetWordType zzerr12[16] = {0x0,0x0,0x0,0x0, 0x0,0x0,0x0,0x0, 0x0,0x0,0x0,0x0,
	0x0,0x1c,0x0,0x0};
SetWordType zzerr13[16] = {0x0,0x0,0x0,0x0, 0x0,0x0,0x0,0x0, 0x0,0x0,0x0,0x0,
	0x0,0x1c,0x0,0x0};
SetWordType setwd4[110] = {0x0,0x26,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x1,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x1,0x0,
	0x0,0x1,0x0,0x1,0x0,0x0,0x0,0x0,
	0x1,0x0,0x0,0x0,0x1,0x1,0x1,0x1,
	0x1,0x1,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
	0x0,0x20,0x0,0x0,0x18,0x18,0x0};
